PART
{

// --- general parameters ---
name = SWOrbiterDecoupler
module = Part
author = TheShadow1138

// --- asset parameters ---
MODEL
{
  model = ShadowWorks/Parts/ExternalTank/ShuttleDecoupler
}
rescaleFactor = 1.0


// --- node definitions ---
node_stack_tank = 0.0, -7.335, 0.269, 0.0, -1.0, 0.0, 4
node_stack_orbiter = 0.0, -7.335, -0.748, 0.0, 1.0, 0.0, 4
//node_stack_bottom1 = -0.55, 0.0, 0.0, 0.0, 1.0, 0.0, 2

// --- FX definitions ---

fx_gasBurst_white = 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, activate
sound_vent_large = activate
sound_decoupler_fire = decouple

// --- editor parameters ---
TechRequired = composites
entryCost = 8800
cost = 6000
category = Coupling
subcategory = 0
title =Amunet Orbiter Decoupler SW-RD-02
description = A radial decoupler used for attaching the an Amunet orbiter to the Amunet Shuttle External Tank.

stageOffset = 1
childStageOffset = 1

// attachment rules: stack, srfAttach, allowStack, allowSrfAttach, allowCollision
attachRules = 1,0,1,1,0
stackSymmetry = 1
// --- standard part parameters ---
mass = 0.25
dragModelType = default
maximum_drag = 0.2
minimum_drag = 0.2
angularDrag = 2
crashTolerance = 48
breakingForce = 240
breakingTorque = 2400
maxTemp = 3600
fuelCrossFeed = True
tags = decoupler couple radial shuttle orbiter external tank et amunet shadowworks

MODULE
{
	name = ModulePartVariants
	baseVariant = flightOrange
	baseDisplayName = Orange Decoupler

	VARIANT
	{
		name = flightOrange
		displayName = Orange Decoupler

		primaryColor = #984918
		secondaryColor = #ffffff

		TEXTURE
		{
			_MainTex = ShadowWorks/Parts/SRBs/SRBOrbiterDecColor
		}
	}
	VARIANT
	{
		name = whiteDecoupler
		displayName = White Decoupler

		primaryColor = #ffffff
		secondaryColor = #eeeeee

		TEXTURE
		{
			_MainTex = ShadowWorks/Parts/ExternalTank/SRBOrbiterDecColorAlt
		}
	}
}

	MODULE
	{
	    name = ModuleDecouple
	    explosiveNodeID = orbiter
	    isOmniDecoupler = false
	    ejectionForce = 250
	}

	MODULE
	{
		name = ModuleToggleCrossfeed
		crossfeedStatus = true
		toggleEditor = true
		toggleFlight = true
	}

}
